# gdcm::ValueIO< TDE, TSwap, TType > Class Template Reference

Class to represent the value of a Data Element. More...

`#include <gdcmValueIO.h>`

List of all members.

## Static Public Member Functions
static std::istream & | Read (std::istream &is, Value &v)
static const std::ostream & | Write (std::ostream &os, const Value &v)

## Detailed Description

### template<typename TDE, typename TSwap, typename TType = uint8_t>
class gdcm::ValueIO< TDE, TSwap, TType >

Class to represent the value of a Data Element.

Note:
  VALUE: A component of a Value Field. A Value Field may consist of one or more of these components.

## Member Function Documentation

template<typename TDE , typename TSwap , typename TType = uint8_t>

static std::istream& gdcm::ValueIO< TDE, TSwap, TType >::Read | ( | std::istream & | is,
|  | Value & | v |
| ) |  |  | `[static]`

template<typename TDE , typename TSwap , typename TType = uint8_t>

static const std::ostream& gdcm::ValueIO< TDE, TSwap, TType >::Write | ( | std::ostream & | os,
|  | const Value & | v |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- gdcmValueIO.h